module.exports = function( grunt ) {

	grunt.initConfig({

		sass: {
			dist: {
				options: {
					style: 'compressed',
					sourcemap: 'none'
				},
				files: {
					'templates/css/template.css': 'assets/scss/styles.scss',
					'templates/css/template-rtl.css': 'assets/scss/styles-rtl.scss',
					'templates/css/template-dark.css': 'assets/scss/styles-dark.scss',
					'templates/css/template-dark-rtl.css': 'assets/scss/styles-dark-rtl.scss'
				}
			}
		},

		uglify: {
			dist: {
				options: {
					report: 'none',
					sourceMap: false
				},
				files: [{
					src: [
						'assets/js/*.js',
						'!assets/js/respond.js',
						'!assets/js/*-min.js',
						'!assets/js/*.min.js',
						'!assets/js/npm.js'
					],
					expand: true,
					ext: '.min.js',
					extDot: 'last'
				}],
			}
		}

	});

	grunt.loadNpmTasks( 'grunt-contrib-sass' );
	grunt.loadNpmTasks( 'grunt-contrib-uglify' );

	grunt.registerTask( 'default', [ 'uglify' ]);
	grunt.registerTask( 'css', [ 'sass' ]);

};
